{% extends 'frame.html.twig' %}

{% block additional_headers %}
    <script src="{{ asset('bundles/app/js/make_dynamic_request.js') }}"></script>
{% endblock %}

{% block page_header %}
    {{ 'Daily plan' | trans }}
{% endblock %}

{% block body %}
    {% include 'widgets/ajax_token.html.twig' %}
    {% include "widgets/horizontal_switcher_timeslots_shifts.html.twig" %}


    <div class="table_wrapper">
        <div class="table">
            <div class="table_header general_list_row table_row">
                <div class="general_list_cell table_cell">{{ 'Time' | trans }}</div>
                <div class="general_list_cell table_cell">{{ 'Capacity' | trans }}</div>
                <div class="general_list_cell table_cell">{{ 'Job' | trans }}</div>
                <div class="general_list_cell table_cell">{{ 'Actions' | trans }}</div>
            </div>



            {% for timeslot in timeslots %}
                {% set requestedShift = null %}
                {% if timeslot.open == true %}

                <div class="general_list_row table_row">
                    <div class="general_list_cell table_cell">{{ timeslot.beginTime|date("H:i") }} - {{ timeslot.endTime|date("H:i") }}</div>
                    <div class="general_list_cell table_cell">
                        {% if timeslot.capacity is null or timeslot.capacity == 0 %}
                            {{ 'Unlimited' | trans }}
                        {% else %}
                            {{ timeslot.takenSpots }}/{{ timeslot.capacity }}
                        {% endif %}
                    </div>
                    <div class="general_list_cell table_cell">{{ timeslot.job.name }}</div>
                    <div class="general_list_cell table_cell">
                        {% for shift in app.user.shiftsByTimeslot(timeslot) %}
                            {% if not shift.isInFinalState() %}
                                {% set requestedShift = shift %}
                            {% endif %}
                        {% endfor %}

                        {% if requestedShift is null %}
                            {% include 'widgets/employee_shift_sign_up_button.html.twig' with {'timeslot': timeslot} %}
                        {% else %}
                            {% set shift = requestedShift %}
                            {% include 'widgets/employee_shift_button.html.twig' with {'shift': shift} %}
                        {% endif %}
                    </div>
                </div>

                {% endif %}

            {% endfor %}
        </div>
    </div>
{% endblock %}